Bug 154752 - [patch] port www/websh fix leftover during package building
Summary: [patch] port www/websh fix leftover during package building
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-13 21:20 UTC by Olli Hauer
Modified: 2011-02-22 00:41 UTC (History)
1 user (show)

See Also:


Attachments
websh.diff (1.09 KB, patch)
2011-02-13 21:20 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2011-02-13 21:20:08 UTC
Fix lefetover during package building

During deinstall apxs -e -A ... is executed, this will normally
remove the LoadModule $modulename line if there is any, else a
line with an '#' in front of LoadModule $modulename is added.

Since apxs is not executed during port install the commented line
will be added during deinstall into httpd.conf and this leads to a
build failed with leftover in tinderbox and pointyhat.FreeBSD.org

How-To-Repeat: Build the module with apache22 and inspect httpd.conf after install
and deinstall of the port

Reference: 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147009
http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/ap22-mod_log_sql-1.101.log
Comment 1 Edwin Groothuis freebsd_committer 2011-02-13 21:20:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

mi@aldan.algebra.com => mi@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-13 21:20:20 UTC
Maintainer of www/websh,

Please note that PR ports/154752 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154752

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-13 21:20:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2011-02-21 23:45:21 UTC
ohauer      2011-02-21 23:45:16 UTC

  FreeBSD ports repository

  Modified files:
    www/websh            Makefile distinfo 
  Log:
   - fix pkg-plist if installed from port (leftover in httpd.conf)
   - remove MD5 from distfile
  
   Reference:
   http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147009
   http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/a.8-exp.20110129080700/ap22-mod_log_sql-1.101.log
  
  PR:             ports/154752
  Submitted by:   myself
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.16      +2 -1      ports/www/websh/Makefile
  1.3       +0 -1      ports/www/websh/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Olli Hauer freebsd_committer 2011-02-22 00:39:43 UTC
State Changed
From-To: feedback->closed

Committed! 


Comment 6 Olli Hauer freebsd_committer 2011-02-22 00:39:43 UTC
Responsible Changed
From-To: mi->ohauer

Committed!